package com.llisoft.pay.common;

/**
 * 公共常量
 * @author YangJie [2018年12月27日]
 */
public class Constant {
	
	// 支付状态 未支付
	public static final int STATUS_WAIT = 1;
	// 支付状态 已支付
	public static final int STATUS_PAYED = 2;
	
	// 支付类型 支付宝
	public static final int TYPE_ALI = 1;
	// 支付类型 微信
	public static final int TYPE_WX = 2;
	
	// 支付标记 - 异步通知 
	public static final int FLAG_NOTIFY = 1;
	// 支付标记 - 同步回调 
	public static final int FLAG_RETURN = 2;
	// 支付标记 - 主动查询 
	public static final int FLAG_QUERY = 3;
	// 支付标记 - 对账 
	public static final int FLAG_CHECK = 4;
	
}
