package com.llisoft.pay.dao;

import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import com.llisoft.pay.entity.Pay;

@Mapper
public interface PayDao {
	
	@Select("select * from mta_pay where pid=#{pid}")
	Pay selectByPid(String pid);
	
    @Insert("insert into mta_pay (pid,type,status,money,title,ctime) values (#{pid},#{type},#{status},#{money},#{title},now())")
    boolean insert(Pay item);

    @Update("update mta_pay set status=#{status},flag=#{flag},ptime=now() where pid=#{pid}")
	boolean update(@Param("pid")String pid, @Param("status")int status, @Param("flag")int flag);
	
}