package com.llisoft.pay.vo;

import javax.validation.constraints.NotBlank;

import org.hibernate.validator.constraints.Range;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("订单添加请求实体")
@Deprecated
public class OrderAddRequestVo {

	@ApiModelProperty("appKey")
	@NotBlank(message="appKey不能为空")
    private String appKey;
	
	@ApiModelProperty("订单金额, 单位:分")
	@Range(min=1, message="金额非法")
	private int money;
	
	@ApiModelProperty("商品标题, 第三方支付页面显示, 不传时显示app.name")
    private String title;

	public String getAppKey() {
		return appKey;
	}

	public void setAppKey(String appKey) {
		this.appKey = appKey;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public int getMoney() {
		return money;
	}

	public void setMoney(int money) {
		this.money = money;
	}
  
}