package com.llisoft.pay.dao;

import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectKey;
import org.apache.ibatis.annotations.Update;

import com.llisoft.pay.entity.Order;

@Mapper
@Deprecated
public interface OrderDao {

	@Select("select * from mta_pay_order where order_id=#{orderId}")
	Order select(int orderId);
	
	@Select("select * from mta_pay_order where order_num=#{orderNum}")
	Order selectByOrderNum(String orderNum);
	
    @Insert("insert into mta_pay_order (order_id,order_num,order_status,order_money,order_title,app_id,create_time) "
    		+ "values (#{orderId},#{orderNum},#{orderStatus},#{orderMoney},#{orderTitle},#{appId},now())")
    @SelectKey(statement="SELECT LAST_INSERT_ID()", keyProperty="orderId", before=false, resultType=Integer.class)
    boolean insert(Order order);

    @Update("update mta_pay_order set order_status=#{orderStatus},pay_time=now() where order_id=#{orderId}")
	boolean updatePay(@Param("orderId")int orderId, @Param("orderStatus")byte orderStatus);
	
}