package com.llisoft.pay.entity;

import java.util.Date;

/**
 * 
 * 数据库实体, 禁止人为改动
 */
public class Pay {
    /**
     * ID
     */
    private int id;

    /**
     * 支付号
     */
    private String pid;

    /**
     * 支付类型(1支付宝/2微信)
     */
    private int type;

    /**
     * 支付状态(1未支付/2已支付)
     */
    private int status;

    /**
     * 支付金额(分)
     */
    private int money;

    /**
     * 商品描述（第三方平台显示）
     */
    private String title;

    /**
     * 支付成功标记(1异步通知/2同步回调/3主动查询/4对账)
     */
    private int flag;

    /**
     * 支付时间
     */
    private Date ptime;

    /**
     * 创建时间
     */
    private Date ctime;

    /**
     * 更新时间
     */
    private Date utime;

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getPid() {
		return pid;
	}

	public void setPid(String pid) {
		this.pid = pid;
	}

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	public int getStatus() {
		return status;
	}

	public void setStatus(int status) {
		this.status = status;
	}

	public int getMoney() {
		return money;
	}

	public void setMoney(int money) {
		this.money = money;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public int getFlag() {
		return flag;
	}

	public void setFlag(int flag) {
		this.flag = flag;
	}

	public Date getPtime() {
		return ptime;
	}

	public void setPtime(Date ptime) {
		this.ptime = ptime;
	}

	public Date getCtime() {
		return ctime;
	}

	public void setCtime(Date ctime) {
		this.ctime = ctime;
	}

	public Date getUtime() {
		return utime;
	}

	public void setUtime(Date utime) {
		this.utime = utime;
	}

}