package com.llisoft.pay.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("支付详情返回实体")
public class ApiInfoResponseVo {

	@ApiModelProperty("支付号")
    private String pid;
	
	@ApiModelProperty("是否已支付")
	private boolean payed;
	
	public static ApiInfoResponseVo build(String pid, boolean payed) {
		ApiInfoResponseVo responseVo = new ApiInfoResponseVo();
		responseVo.setPid(pid);
		responseVo.setPayed(payed);
		return responseVo;
	}

	public String getPid() {
		return pid;
	}

	public void setPid(String pid) {
		this.pid = pid;
	}

	public boolean getPayed() {
		return payed;
	}

	public void setPayed(boolean payed) {
		this.payed = payed;
	}
  
}